Client A P I
Update startup variable
Updates one editable startup variable for the server and returns the updated rendered startup command.
PUT
/api/client/servers/{server_uuid}/startup/variableAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/startup/variable" \ -H "Content-Type: application/json" \ -d '{ "key": "example" }'{ "object": "egg_variable", "attributes": { "name": "Leo", "description": "Et modi ipsum nostrum omnis autem et consequatur.", "env_variable": "AUT_DOLORES", "default_value": "OldLace", "server_value": "string", "is_editable": true, "rules": "required|string" }, "meta": { "startup_command": "java -Xms128M -Xmx1024M -jar paper.jar", "raw_startup_command": "java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}" }}